import { HorizontalRangeCategorySeries } from "./HorizontalRangeCategorySeries";
import { Series } from "./Series";
import { SeriesView } from "./SeriesView";
import { Point, Type } from "igniteui-angular-core";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { CategoryFrame } from "./CategoryFrame";
import { CategorySeriesView } from "./CategorySeriesView";
import { List$1 } from "igniteui-angular-core";
import { Rect } from "igniteui-angular-core";
import { Polyline } from "igniteui-angular-core";
import { Polygon } from "igniteui-angular-core";
import { ChartSelection } from "./ChartSelection";
import { SeriesSelectionBehavior } from "./SeriesSelectionBehavior";
import { RangeCategorySeriesView } from "./RangeCategorySeriesView";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class RangeAreaSeries extends HorizontalRangeCategorySeries {
    static $t: Type;
    protected bk(): Series;
    protected ct(): SeriesView;
    q7(a: SeriesView): void;
    acc: RangeAreaSeriesView;
    protected get_ex(): boolean;
    protected get_ew(): boolean;
    protected acd(a: Point, b: Point, c: Point, d: boolean): boolean;
    gx(a: Point, b: boolean): boolean;
    constructor();
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    pb(a: boolean, b: SeriesView): void;
    aax(a: CategoryFrame, b: CategorySeriesView): void;
    qa(a: Rect, b: List$1<ChartSelection>, c: SeriesSelectionBehavior): void;
    ak(a: Rect, b: SeriesSelectionBehavior): ChartSelection[];
    get useHighMarkerFidelity(): boolean;
}
/**
 * @hidden
 */
export declare class RangeAreaSeriesView extends RangeCategorySeriesView {
    static $t: Type;
    protected dk: RangeAreaSeries;
    constructor(a: RangeAreaSeries);
    a4(): void;
    private dt;
    private dp;
    private du;
    get dv(): Polyline;
    get dq(): Polygon;
    get dw(): Polyline;
    dl(): void;
    dm(a: number, b: List$1<number[]>, c: boolean): void;
    private ds;
    private dr;
    private dn;
    protected bq(): void;
    protected bj(a: RenderingContext, b: boolean): void;
    ax(a: any): void;
}
